## Function `phase( t, period, t0 )`

Description:
  Returns the phase of an offset value within a period. The reference value `t0` corresponds to phase zero.

  For positive period, the returned value is in the range [0,1).

Parameters:
  `t` (floating point)
    value
  `period` (floating point)
    folding period
  `t0` (floating point)
    reference value, corresponding to phase zero

Return Value (floating point):
  phase(t-t0, period)

Examples:
  - `phase(5003,100,0) = 0.03`
  - `phase(5003,100,2) = 0.01`
  - `phase(5003,100,4) = 0.99`

Signature:
  `double phase(double, double, double)`